package com.knauf.ejb.kuchen;
/**
 * Local Home interface for Enterprise Bean: KuchenSingle
 */
public interface KuchenSingleLocalHome extends javax.ejb.EJBLocalHome {
  /**
   * Finds an instance using a key for Entity Bean: KuchenSingle
   */
  public com.knauf.ejb.kuchen.KuchenSingleLocal findByPrimaryKey(java.lang.Integer primaryKey)
    throws javax.ejb.FinderException;
	public java.util.Collection findAll() throws javax.ejb.FinderException;
  /**
   * Erzeugen eines Kuchen-Objekts, wobei der Name angegeben wird. Der Key
   * automatisch erzeugt.
   * 
   * @param str_Name
   *          Der Name des Kuchens.
   * @return Immer NULL.
   * @exception CreateException
   *              Fehler beim Erzeugen.
   */
  public com.knauf.ejb.kuchen.KuchenSingleLocal createByName(String str_Name) throws javax.ejb.CreateException;
  /**
   * ejbCreate
   */
  public com.knauf.ejb.kuchen.KuchenSingleLocal create() throws javax.ejb.CreateException;
}
